Debian Bug report logs - #598295
libroar-compat0: CVE-2010-3363: insecure library loading

version graph

Package: libroar-compat0; Maintainer for libroar-compat0 is Patrick Matthäi <pmatthaei@debian.org>;

Reported by: Raphael Geissert <geissert@debian.org>

Date: Tue, 28 Sep 2010 04:24:43 UTC

Severity: grave

Tags: confirmed, security, upstream

Found in version roaraudio/0.3-1

Fixed in version roaraudio/0.3-2

Done: Patrick Matthäi <pmatthaei@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Patrick Matthäi <pmatthaei@debian.org>:
Bug#598295; Package libroar-compat0. (Tue, 28 Sep 2010 04:24:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
New Bug report received and forwarded. Copy sent to Patrick Matthäi <pmatthaei@debian.org>. (Tue, 28 Sep 2010 04:24:46 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: libroar-compat0: CVE-2010-3363: insecure library loading
Date: Tue, 28 Sep 2010 04:22:08 +0000
Package: libroar-compat0
Version: 0.3-1
Severity: grave
Tags: security
User: team@security.debian.org
Usertags: ldpath

Hello,

During a review of the Debian archive, I've found your package to
contain a script that can be abused by an attacker to execute arbitrary
code.

The vulnerability is introduced by an insecure change to
LD_LIBRARY_PATH, and environment variable used by ld.so(8) to look for
libraries on a directory other than the standard paths.

Vulnerable code follows:

/usr/bin/roarify line 82:
export LD_LIBRARY_PATH='/usr/lib//roaraudio/complibs/'":$LD_LIBRARY_PATH"

When there's an empty item on the colon-separated list of
LD_LIBRARY_PATH, ld.so treats it as '.' (i.e. CWD/$PWD.)
If the given script is executed from a directory where a potential,
local, attacker can write files to, there's a chance to exploit this
bug.

This vulnerability has been assigned the CVE id CVE-2010-3363. Please make sure
you mention it when forwarding this report to upstream and when fixing
this bug (everywhere: upstream and here at Debian.)

[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3363
[1] http://security-tracker.debian.org/tracker/CVE-2010-3363

Sincerely,
Raphael Geissert




Added tag(s) upstream, confirmed, and pending. Request was from Philipp Schafft <lion@lion.leolix.org> to control@bugs.debian.org. (Tue, 28 Sep 2010 20:57:08 GMT) Full text and rfc822 format available.

Reply sent to Patrick Matthäi <pmatthaei@debian.org>:
You have taken responsibility. (Thu, 30 Sep 2010 19:36:03 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Thu, 30 Sep 2010 19:36:03 GMT) Full text and rfc822 format available.

Message #12 received at 598295-close@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: 598295-close@bugs.debian.org
Subject: Bug#598295: fixed in roaraudio 0.3-2
Date: Thu, 30 Sep 2010 19:32:11 +0000
Source: roaraudio
Source-Version: 0.3-2

We believe that the bug you reported is fixed in the latest version of
roaraudio, which is due to be installed in the Debian FTP archive:

libroar-compat0_0.3-2_i386.deb
  to main/r/roaraudio/libroar-compat0_0.3-2_i386.deb
libroar-dev_0.3-2_i386.deb
  to main/r/roaraudio/libroar-dev_0.3-2_i386.deb
libroar0_0.3-2_i386.deb
  to main/r/roaraudio/libroar0_0.3-2_i386.deb
roaraudio-dbg_0.3-2_i386.deb
  to main/r/roaraudio/roaraudio-dbg_0.3-2_i386.deb
roaraudio-extra_0.3-2_i386.deb
  to main/r/roaraudio/roaraudio-extra_0.3-2_i386.deb
roaraudio_0.3-2.debian.tar.gz
  to main/r/roaraudio/roaraudio_0.3-2.debian.tar.gz
roaraudio_0.3-2.dsc
  to main/r/roaraudio/roaraudio_0.3-2.dsc
roaraudio_0.3-2_i386.deb
  to main/r/roaraudio/roaraudio_0.3-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598295@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Patrick Matthäi <pmatthaei@debian.org> (supplier of updated roaraudio package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 30 Sep 2010 21:03:19 +0200
Source: roaraudio
Binary: libroar0 libroar-dev roaraudio-dbg roaraudio roaraudio-extra libroar-compat0
Architecture: source i386
Version: 0.3-2
Distribution: unstable
Urgency: high
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Changed-By: Patrick Matthäi <pmatthaei@debian.org>
Description: 
 libroar-compat0 - drop-in replacements for other sound libraries
 libroar-dev - header files and documentation for the RoarAudio libraries
 libroar0   - foundation libraries for the RoarAudio sound server and clients
 roaraudio  - sound server for audio mixing
 roaraudio-dbg - RoarAudio sound server for audio mixing (debugging symbols)
 roaraudio-extra - extra utilities for RoarAudio
Closes: 598295 598449 598451
Changes: 
 roaraudio (0.3-2) unstable; urgency=high
 .
   [ Philipp Schafft ]
   * Add upstream patch 02-roarify-ldlibrarypath.diff, which fixes the insecure
     handling of $LD_LIBRARY_PATH as mentioned in CVE-2010-3363.
     Closes: #598295
   * Fixed matrix pointer error with 01-libao4-matrix-pointer.diff in libao
     driver of roard.
     Closes: #598451
 .
   [ Patrick Matthäi ]
   * Do not install pulse libraries on hurd-i386, which fixes a FTBFS on this
     architecture.
     Closes: #598449
Checksums-Sha1: 
 3aad89113fe3de782b20f599436df3550975b25a 2157 roaraudio_0.3-2.dsc
 140a2572cc2786eb04234ce4de8b6994b30ad378 7438 roaraudio_0.3-2.debian.tar.gz
 3573babc71554d2181f42e8552d6aade49e254d2 117396 libroar0_0.3-2_i386.deb
 bd90712dffd23ed2f6a6b511ad6277b36dffc4ef 100628 libroar-dev_0.3-2_i386.deb
 3eae6a42f1f41248859b237389c4cab1b7ed0804 549736 roaraudio-dbg_0.3-2_i386.deb
 8e83404f9808eda6a52f325f99cd3d5bab58af1d 153298 roaraudio_0.3-2_i386.deb
 8822fcfbbdf9eab41549833112bddc9036d7bcac 24056 roaraudio-extra_0.3-2_i386.deb
 d1722010d11491519f36ba4265fc4d264999acf3 53240 libroar-compat0_0.3-2_i386.deb
Checksums-Sha256: 
 fd9bdca6c1a13c3b991c531cd4480d6fa03e0d3e0592461815bd27f7836ce601 2157 roaraudio_0.3-2.dsc
 1fdbab29045b73c7f79648a8e67ad9e20ba84fa3aec6fc03bd67aa7410c9747f 7438 roaraudio_0.3-2.debian.tar.gz
 560fe9f69643bbc5062ee975544165fe0a1fc9497c3ab8c5cfb8d6884019fb2a 117396 libroar0_0.3-2_i386.deb
 51eb65559e6f35452ecc78e1bb51274ba7e5ade7f2c3a1443744d471fb4fcd4d 100628 libroar-dev_0.3-2_i386.deb
 43bb1ff747f9554fb1829de3442c5c2c6d7acb7f69124d8d104dddc1a07cbe80 549736 roaraudio-dbg_0.3-2_i386.deb
 e9996e88b650b729fe783a4195454774c57a34fd73443bec14350d7e65829270 153298 roaraudio_0.3-2_i386.deb
 3182f931d5d47a14f669fd706ceb859e71d5f7396c42e1c3e17527bd2a6993a6 24056 roaraudio-extra_0.3-2_i386.deb
 bea4665ac8d2a27a9a4d6ff3729ff4eaae2ad5167609670db04c469a15590aac 53240 libroar-compat0_0.3-2_i386.deb
Files: 
 86b42be3e3f67ba5e696541b1fcb2888 2157 libs optional roaraudio_0.3-2.dsc
 a50c6b83ddd2ab6654bfa220c941be0d 7438 libs optional roaraudio_0.3-2.debian.tar.gz
 5f5bcbea3022b64f60de35d6416136a2 117396 libs optional libroar0_0.3-2_i386.deb
 7348b07ce19fa0f9100fc61070dbfce7 100628 libdevel optional libroar-dev_0.3-2_i386.deb
 6da1a89f924184603452bba5f2bf7bc2 549736 debug extra roaraudio-dbg_0.3-2_i386.deb
 70cbfa4d3c691e8e64a3c14968b2285a 153298 sound optional roaraudio_0.3-2_i386.deb
 a6a3bf04607b520d1b0e380135c58690 24056 sound optional roaraudio-extra_0.3-2_i386.deb
 c65b8426f72cc1559d6ab89cb435777c 53240 libs optional libroar-compat0_0.3-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMpOFPAAoJEBLZsEqQy9jknhYP/1Rn3OPPzGLbJGXObShPDuwf
nWh0x6Kb8pK51asFB1Ddumz/QfW2sqIc49FtxW7FAwAs5tE056BrhVeUXXhKXM/V
LeBNTd/jOO5/PL6tqEBuQoX+7ePJYzWFjsTzhw4gxRaEVrUdHdWsxgXYczagITsH
TfX/RIfBwRsJQpaKawzSCheId8Y0HoA98P2m/UObZ6LjgZwC1nk7M4kxW4RsLB+U
mCcMm6MPdM2Z5WrlETtYWbv2S+8qfPdR5kwfKp0P2+bNSZrUEApYUoLF9f3SIoSu
uuaxdVtcz1JJT+/898SSvpXR8DqcHX046sJ/5qFqqfvHJrWwxfAUoA6J4w+DcAmu
PND//85omhuHNZkGP2Vhfe0D+QA0A0tDjwdTOHGnusfc43/Ifkzi81RBNajTAPFA
N+Auv92u5ynlU93e32X4ysXVeTVcfKjQBz5ed2BRjx+0QKzxYAm4+SYaijE9t5Md
xD3NiCmGg8O+Nebkg63HgkaHJ8ktugKxaiB/FcisHh4PokhdTpWoEfPji8Og1i/9
N64h2eH3/o7w6NTiovgwQeJt46Vd1hEOp9DxKtWPaHpLRV0veXzOHSe260Vl8RK0
klPouBAPRrYuC5NrjfQ4ayNFLBjJX80bEGFXjeXcnEWib/q/LFY4BCvuv8qizfF+
i4sABpR8Ghxt0GTresBI
=jXQq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 31 Oct 2010 07:35:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:58:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.